Page MenuHomePhabricator

CSS Conflict of textareas with mediawiki ui left-side blue bar
Closed, ResolvedPublic

Description

Overlapping

With configuration variables from change I47db5eab4569514d039261d11b6dedb0eeae17b5 it's possible to force the use of MediaWikiUI whereever it's supported. In the future it will (maybe?) be standard to use mediawikiui everwhere. Actual, the padding css rule of WikiEditor[1] results in an ugly overlapping with the blue bar of mw ui (indicating, that this field is focused).

I'm not sure, if there are special reasons for the padding, but i would suggest to just remove the rule or don't set it for padding-left.

[1] https://git.wikimedia.org/blob/mediawiki%2Fextensions%2FWikiEditor/314f0a7d1aef46e1af0d362d9d73c6026cc4c13c/modules%2Fext.wikiEditor.toolbar.styles.css


Version: master
Severity: minor
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=70028

Attached:

Details

Reference
bz70194

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:37 AM
bzimport added a project: WikiEditor.
bzimport set Reference to bz70194.
bzimport added a subscriber: Unknown Object (MLST).
Florian created this task.Aug 29 2014, 9:08 PM

How is this connected to the font bug ("Bug 70028 - Should Mediawiki UI change font-family for textareas?")?

They're both caused by adding .mw-ui-input to the article textarea. But this bug indeed doesn't depend on that bug – my mistake.

gerritadmin wrote:

Change 160282 had a related patch set uploaded by Florianschmidtwelzow:
Remove padding from Textbox

https://gerrit.wikimedia.org/r/160282

Created attachment 16465
Expected padding with mw ui

Attached:

gerritadmin wrote:

Change 160282 merged by jenkins-bot:
Remove padding from Textbox

https://gerrit.wikimedia.org/r/160282

GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:10 AM